"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const utils_1 = require("./utils");
const json_stable_stringify_1 = __importDefault(require("json-stable-stringify"));
describe("vega-lite", () => {
    it("schema", () => {
        const type = "TopLevelSpec";
        const config = {
            path: `node_modules/vega-lite/src/index.ts`,
            type,
            encodeRefs: false,
            skipTypeCheck: true,
        };
        const generator = utils_1.createGenerator(config);
        const schema = generator.createSchema(type);
        const schemaFile = path_1.resolve("test/vega-lite/schema.json");
        if (process.env.UPDATE_SCHEMA) {
            fs_1.writeFileSync(schemaFile, json_stable_stringify_1.default(schema, { space: 2 }) + "\n", "utf8");
        }
        const vegaLiteSchema = JSON.parse(fs_1.readFileSync(schemaFile, "utf8"));
        expect(schema).toEqual(vegaLiteSchema);
    });
});
//# sourceMappingURL=vega-lite.test.js.map